

***************************************************
*Semiparametric Regression

*Example based on CT's do file (nonparametric.do). 

***************************************************




* Read in data, select, describe and summarize key variables
use nonparametric.dta, clear
describe 

* Work with age 36 and nonmissing education data
keep if age == 36
drop if educatn == .
summarize

**************************************************
******* SEMIPARAMETRIC REGRESSION  
**************************************************

*compare parametric and semi parametric:


* OLS 
regress lnhwage educatn married, vce(robust) noheader

* Partial linear model - Robinson differencing estimator
semipar lnhwage married, nonpar(educat) robust ci title("Partial linear")


* graph export nonparametricfig16.wmf, replace

* Single index model - Ichimura semiparametric least squares

reg lnhwage hours educatn
sls lnhwage hours educatn, trim(1,99)

* Plot predictions against the index xÂ´b
predict yhat, ey
predict Index, xb
twoway (scatter y Index) (line yhat Index, sort lwidth(thick)), ///
   title("Single-index: yhat against xÂ´b") scale(1.1) ///
   xtitle("Index") ytitle("y and yhat") legend(off)
   graph export semi5.pdf, replace

* Generalized additive model - GAM REQUIRES MS WINDOWS
gam lnhwage educatn hours, df(3)

* Graphs
gamplot educatn, saving(graph1, replace)
gamplot hours, saving(graph2, replace)
graph combine graph1.gph graph2.gph, iscale(1.2) rows(1) ysize(2.5) xsize(5)
* graph export nonparametricfig21.wmf, replace

********** CLOSE OUTPUT
* log close
* clear
* exit
