


********** SETUP **********
clear all
set more off
version 15
set scheme s1mono  /* Graphics scheme */
set linesize 82

********** DATA DESCRIPTION **********

* The original data are from the PSID Individual Level Final Release 1993 data
* From www.isr.umich.edu/src/psid  then choose Data Center 
* 4856 observations on 9 variables for Females 30 to 50 years 
* See mma09p1np.do for further description

**************************************

* Read in data, select, describe and summarize key variables
use nonparametric.dta, clear
describe 



*******************************************************
*			SERIES REGRESSION
****************************************************

npregress series lnhwage educatn

*polynomial
npregress series lnhwage educatn, polynomial 
margins, at(educatn=(4 5 6 7 8 9 10 11 12 13 14 15 16 17))
marginsplot

*spline
npregress series lnhwage educatn, spline 
margins, at(educatn=(4 5 6 7 8 9 10 11 12 13 14 15 16 17))
marginsplot


*the default seems to have too much flexibility!
npregress series lnhwage educatn, spline(1)
margins, at(educatn=(4 5 6 7 8 9 10 11 12 13 14 15 16 17))
marginsplot

npregress series lnhwage educatn, spline(2)
margins, at(educatn=(4 5 6 7 8 9 10 11 12 13 14 15 16 17))
marginsplot

